# OpalConnection::AutoStartMap Class Reference

`#include <connection.h>`

## Public Member Functions

| AutoStartMap ()
void | Initialise (const OpalConnection::StringOptions &stringOptions)
OpalMediaType::AutoStartMode | GetAutoStart (const OpalMediaType &mediaType) const
void | SetAutoStart (const OpalMediaType &mediaType, OpalMediaType::AutoStartMode autoStart)

## Protected Attributes

bool | m_initialised
PMutex | m_mutex

## Constructor & Destructor Documentation

OpalConnection::AutoStartMap::AutoStartMap | ( |  | ) |

## Member Function Documentation

OpalMediaType::AutoStartMode OpalConnection::AutoStartMap::GetAutoStart | ( | const OpalMediaType & | mediaType | ) | const

void OpalConnection::AutoStartMap::Initialise | ( | const OpalConnection::StringOptions & | stringOptions | ) |

void OpalConnection::AutoStartMap::SetAutoStart | ( | const OpalMediaType & | mediaType,
|  | OpalMediaType::AutoStartMode | autoStart |
| ) |  |  |

## Field Documentation

bool OpalConnection::AutoStartMap::m_initialised `[protected]`

PMutex OpalConnection::AutoStartMap::m_mutex `[protected]`

The documentation for this class was generated from the following file:

- connection.h